/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2011 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: IWebServicesConsoleDelegate.as 21081 2011-03-31 08:55:51Z renaultgu $
 * --------------------------------------------------------------------------
 */
package org.ow2.jonas.admin.webservicesconsole.business {
import org.ow2.jasmine.kerneos.common.business.IDelegateResponder;

public interface IWebServicesConsoleDelegate extends IDelegateResponder {
    /**
     * Call the java side method to get the available operations.
     */
    function getOperations(p_Url:String):void;

    /**
     * Call the java side method to get the request skeleton.
     */
    function getRequest(p_Url:String, p_Operation:String):void;

    /**
     * Call the java side method to get the request (soap message).
     */
    function sendRequest(p_Url:String, p_Operation:String, p_Request:String):void;


}
}
